Commit ae74decd authored by Danny Kukawka's avatar Danny Kukawka

stop configure if pam/pam-devel is missing

This little patch fixes configure to stop and print a error message if
pam/pam-devel is missing while run configure for PolicyKit
parent 1043f614
......@@ -220,7 +220,9 @@ dnl ---------------------------------------------------------------------------
have_pam=no
AC_CHECK_LIB(pam, pam_start, have_pam=yes)
if test "x$have_pam" = "xyes"; then
if test x$have_pam = xno; then
AC_ERROR([Could not find pam/pam-devel, please install the needed packages.])
else
AUTH_LIBS="${AUTH_LIBS} -lpam"
AC_DEFINE(HAVE_PAM, 1, [Define if PAM support is included])
......@@ -258,6 +260,7 @@ if test "x$have_pam" = "xyes"; then
fi
fi
AM_CONDITIONAL(HAVE_PAM, test x$have_pam = xyes)
AC_SUBST(HAVE_PAM)
AC_SUBST(AUTH_LIBS)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment